#![feature(proc_macro_hygiene, decl_macro)]

use std::collections::HashMap;

use rocket::{get, request::FlashMessage, routes};
use rocket_contrib::templates::Template;

#[get("/create")]
fn create_form(flash: Option<FlashMessage>) -> Template {
    let mut context = HashMap::new();

    if let Some(ref msg) = flash {
        context.insert("flash", msg.msg());
    }

    Template::render("create", &context)
}

#[get("/")]
fn index() -> &'static str {
    "Hello, world!"
}

fn main() {
    rocket::ignite()
        .mount("/", routes![index, create_form])
        .attach(Template::fairing())
        .launch();
}
